

/* Variables WIth Reuse Color fonts */
:root {
    --normal-font: 400;
    --bold-font: 700;
    --bolder-font: 900;
    --bg-color: cornsilk;
    --primary-color: blueviolet;
    --secondary-color: rgb(221, 213, 97);
    --primary-shadow: #8b8eaf;
    --secondary-shadow: #a17a69;
    --bottom-margin: 0.6rem;
    --bottom-margin-2: 1rem;
    --line-height: 1.8rem;
    --transition: 0.2s;
  }
  /* Variables Reuse ended */




* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    
  }

  ul {
    list-style-type: none;
  }

  a {
    text-decoration: none;
    color: blueviolet;
  }

  a:hover {
    color:rgb(221, 213, 97);
  }

  /* nav CSS starts */

  nav {
    position: sticky;
    top: 0;
    left: 0;
    z-index: 1;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1.5rem 3.5rem;
    background-color:cornsilk;
    box-shadow: 0 3px 5px rgba(0, 0, 0, 0.1);
  }


  nav h1 {
    color: var(--primary-color);
  }
  
  nav a {
    color: var(--primary-color);
    transition: var(--transition);
  }
  nav a:hover {
    color: var(--secondary-color);
    border-bottom: 2px solid var(--secondary-color);
  }
  
  nav ul {
    display: flex;
    gap: 1.9rem;
  }
  
  nav ul li {
    font-weight: var(--bold-font);
  }
  
  .burger-menu {
    color: var(--primary-color);
    font-size: 2rem;
    border: 0;
    background-color: transparent;
    cursor: pointer;
    display: none;
  }
  /* Navbar CSS ended */



  /* Mustafiz About section */
.mustafiz {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 2.5rem;
    max-width: 68.75rem;
    margin: auto;
  }
  
  .mustafiz img {
    height: 37.5rem;
    width: 37.5rem;
  }
  
  .bio {
    width: 25rem;
    padding: 0.625rem;
    border-radius: 6px;
    /* box-shadow: 0px 2px 15px 2px var(--primary-shadow); */
  }
  
  .bio h1 {
    margin-bottom: var(--bottom-margin);
  }
  
  .bio p {
    line-height: var(--line-height);
    padding: 0.3rem 0;
  }

  .mustafiz-button{
    background-color:blueviolet; 
    color: white; 
    padding: 8px;
  }
  .mustafiz-button a{
    color: white;
  }
  .mustafiz-button:hover{
    background-color: crimson;
    transition: var(--transition);


  }
 /* .mustafiz .bio button:hover{
    background-color: crimson;
  } */



  /* Mustafiz About section ends */




  /* Mustafiz Projects section Starts */
.projects {
    background-color: var(--bg-color);
    padding: 32px 0;
    margin-top: 2rem;
  }
  
  .project-pic {
    width: 65%;
    height: 60%;
  }
  
  .projects-container {
    display: flex;
    align-items: center;
    justify-content: center;
  }
  
  .projects-title {
    text-align: center;
    margin-bottom: 1rem;
  }
  
  .project-container {
    text-align: center;
    width: 21.875rem;
    padding: 1rem;
  }
  
  .project-container p {
    padding: 0.4rem;
  }
  
  .project-title {
    margin-bottom: var(--bottom-margin);
  }
  
  .project-details {
    margin-bottom: var(--bottom-margin);
  }
  
  /* Mustafiz Projects section ended */


/* Mustafiz Skills section started */
.skills {
  max-width: 68.75rem;
  margin: auto;
  text-align: center;
  margin-top: 2.5rem;
}

.skill-header {
  margin-bottom: 1rem;
}

.skills-wrapper img {
  padding: 1.25rem;
}

.icon {
  width: 11.875rem;
  height: 11.25rem;
}
/* Mustafiz Skills section ended */





  /*Mustafiz Contacts section Starts */
.contact {
    margin-top: 2rem;
  }
  
  .contact h2 {
    text-align: center;
    margin-bottom: var(--bottom-margin-2);
  }
  
  .contact-form-container {
    max-width: 44rem;
    margin: 0 auto;
    padding: 2rem;
    border-radius: 15px;
    box-shadow: 0 2px 3px var(--secondary-shadow);
  }
  
  /* .contact-form-container label {
    line-height: 2.7em;
    font-weight: var(--bold-font);
    color: var(--primary-color);
  } */
  
  .contact-form-container textarea {
    min-height: 6.25rem;
    font-size: 14px;
  }
  
  .contact-form-container .input-field {
    width: 100%;
    padding-top: 10px;
    padding-bottom: 10px;
    border-radius: 5px;
    border: none;
    border: 2px outset var(--primary-color);
    font-size: 0.875rem;
    outline: none;
  }
  
  .input-field::placeholder {
    padding: 0.5rem;
    color: var(--primary-color);
  }
  
  .submit-btn {
    width: 100%;
    padding: 10px;
    margin: 10px 0;
    background-color: #fff;
    border: 2px solid var(--primary-color);
    border-radius: 5px;
    font-size: 1rem;
    font-weight: var(--bold-font);
    transition: var(--transition);
  }
  
  .submit-btn:hover {
    background-color: var(--primary-color);
    border: 2px solid var(--primary-color);
    cursor: pointer;
  }
  /*Mustafiz Contacts section Ended */


  /* Mustafiz Footer section Starts */
footer {
    background-color: var(--bg-color);
    padding: 1.25rem;
    text-align: center;
    margin: 2rem 0 0;
  }
  /* Mustafiz Footer section Ended */


  /* Mustafiz Media queries for Medium devices Started */
@media screen and (max-width:720px) {

  nav{
    padding: 1.5rem 1rem;
  }
  nav h1{
    font-size: 16px;
  }

  nav ul{
    position: fixed;
    background-color: var(--bg-color);
    flex-direction: column;
    top: 80px;
    left:60%;
    width: 40%;
    text-align: center;
    /* text-align: right; */
    /* transform: translateX(120%); */
    /* transition: transform 2s ease-in; */
  }
  nav ul li {
    margin: 8px;
  }
  .burger-menu {
    display: block;
    color:violet;
  }
  nav ul.show {
    transform: translateX(0);
  }
  .mustafiz {
    margin-top: -4rem;
    flex-direction: column;
    gap: 0;
  }

  .mustafiz img {
    height: 37.5rem;
    width: 30rem;
  }

  .bio {
    margin-top: -7rem;
    width: 20.5rem;
  }

  /* Social buttons starts  */
.socials {
  display: flex;
  flex-direction: column;
  position: fixed;
  right: 1%;
  bottom: 50%;
}

.socicon {
  width: 2rem;
  height: 2rem;
}
 /* Social buttons Ended  */

  .projects-container {
    flex-direction: column;
  }

  .project-container {
    width: 20.875rem;
  }

  .contact-form-container {
    max-width: 23.75rem;
  }
  
}



  /* Mustafiz Media queries for Medium devices Ended */


  /* Mustafiz Media queries for mobile devices Started */


  @media screen and (max-width: 460px) {
.mustafiz img{
  height:38rem;
  width: 22rem;
}
.bio{
  width: 19rem;
}
.project-container{
  width: 18rem;
}

.contact-form-container{
  max-width: 18rem;
}
    
}
  /* Mustafiz Media queries for mobile devices Ended */
